////////////////////////////////////////////////////////////////////////
//
// CMM Choppers Shaders
// -------------------- Add these shaders to your own shader file.
//
// These shaders are for the glass and rotor blades.
//
////////////////////////////////////////////////////////////////////////
models/mapobjects/cmm_choppers/chopperglass
{
	qer_editorimage models/mapobjects/cmm_choppers/chopperglass	.tga
	q3map_forcemeta
	{
		map models/mapobjects/cmm_choppers/glass.tga
		tcgen environment
		blendFunc GL_ONE GL_ZERO
	}
	{
		map models/mapobjects/cmm_choppers/chopperglass.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_SRC_COLOR
	}
}
////////////////////////////////////////////////////////////////////////
models/mapobjects/cmm_choppers/topblade1
{
    qer_editorimage models/mapobjects/cmm_choppers/chopperblade.tga
	surfaceparm alphashadow
	nopicmip
	cull none
	q3map_forcemeta
	{
		map models/mapobjects/cmm_choppers/chopperblade.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
	}
	{
		map $lightmap
		blendfunc filter
		depthFunc equal
	}
}
////////////////////////////////////////////////////////////////////////
models/mapobjects/cmm_choppers/backblade1
{
    qer_editorimage models/mapobjects/cmm_choppers/chopperblade.tga
	surfaceparm alphashadow
	nopicmip
	cull none
	q3map_forcemeta
	{
		map models/mapobjects/cmm_choppers/chopperblade.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
	}
	{
		map $lightmap
		blendfunc filter
		depthFunc equal
	}
}
////////////////////////////////////////////////////////////////////////
models/mapobjects/cmm_choppers/topblade2
{
	qer_editorimage models/mapobjects/cmm_choppers/chopperblade.tga
	q3map_forcemeta
	surfaceparm alphashadow
	cull none
	{
		clampmap models/mapobjects/cmm_choppers/chopperblade.tga
		rgbGen identity
		tcMod rotate 888
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap
		blendfunc filter
		depthFunc equal
	}
}
////////////////////////////////////////////////////////////////////////
models/mapobjects/cmm_choppers/backblade2
{
	qer_editorimage models/mapobjects/cmm_choppers/chopperblade.tga
	q3map_forcemeta
	surfaceparm alphashadow
	cull none
	{
		clampmap models/mapobjects/cmm_choppers/chopperblade.tga
		rgbGen identity
		tcMod rotate 888
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap
		blendfunc filter
		depthFunc equal
	}
}
